#include <iostream>
#include "Stack.h"

using namespace std;

void Stack::clear() {
  while(head != NULL) {
    StackItem *aux = head;
    head = head->getNext();
    delete aux;
  }
}

void Stack::push(unsigned long long config, int lastChange) {
  StackItem *newItem = new StackItem(config, head, lastChange);
  head = newItem;
}

StackItem *Stack::pop() {
  if(!empty()) {
    StackItem *aux = head;
    head = head->getNext();
    return aux;
  }
  else {
    cout << "Chyba: Vybirani z prazdneho zasobniku\n";
    exit(1);
  }
}
