#ifndef STACK__ITEM_H
#define STACK__ITEM_H

#include "global.h"

class StackItem {
  unsigned long long config;
	int lc;
  StackItem * next;
public:
  StackItem(unsigned long long item, StackItem *n, int lastChange) {config = item; next = n; lc = lastChange;}
  StackItem *getNext() {return next;}
	unsigned long long getConfig() {return config;}
	bool isSet(int n) {return (config & getLongLong(n)) > 0;}
	unsigned long long set(int n) {return config | getLongLong(n);}
	int getLastChange() {return lc;}
};

#endif /* STACK__ITEM_H */
