#include <iostream>
#include <iomanip>
#include "global.h"

using namespace std;

unsigned long long getLongLong(int i) {
		unsigned long long res = 0;
		if(i < 32) {
				res =  (1 << i);
		} else {
				res = (1 << (i-32))*0x100000000;
		}
		return res;
}

void printSolution(unsigned long long solution, int prize, unsigned long long steps) {
		cout << id << " " << setw(10) << steps << " " << setw(5) << prize << " ";
		for(int i = 0; i < n; i++) {
				cout << " " << ((solution & getLongLong(i)) > 0);
		}
		cout << endl;
}

void printSolution(bool *solution, int prize, unsigned long long steps) {
		cout << id << " " << setw(10) << steps << " " << setw(5) << prize << " ";
		for(int i = 0; i < n; i++) {
				cout << " " << solution[i];
		}
		cout << endl;
}